## org.apache.poi.hslf.record
Class ColorSchemeAtom

    java.lang.Object
      org.apache.poi.hslf.record.Record
          org.apache.poi.hslf.record.RecordAtom
              org.apache.poi.hslf.record.ColorSchemeAtom

    public final class ColorSchemeAtom

extends RecordAtom

A ColorSchemeAtom (type 2032). Holds the 8 RGB values for the different colours of bits of text, that makes up a given colour scheme. Slides (presumably) link to a given colour scheme atom, and that defines the colours to be used

Author:
  Nick Burch

Field Summary

Fields inherited from class org.apache.poi.hslf.record.Record
`logger`

Constructor Summary
`` `ColorSchemeAtom()` Create a new ColorSchemeAtom, to go with a new Slide
`protected` `ColorSchemeAtom(byte[] source, int start, int len)` For the Colour Scheme (ColorSchem) Atom

Method Summary
`int` `getAccentAndFollowingHyperlinkColourRGB()` Fetch the RGB value for Accent And Following Hyperlink Colour
`int` `getAccentAndHyperlinkColourRGB()` Fetch the RGB value for Accent And Hyperlink Colour
`int` `getAccentColourRGB()` Fetch the RGB value for Accent Colour
`int` `getBackgroundColourRGB()` Fetch the RGB value for Background Colour
`int` `getColor(int idx)` Returns color by its index
`int` `getFillsColourRGB()` Fetch the RGB value for Fills Colour
`long` `getRecordType()` We are of type 3999
`int` `getShadowsColourRGB()` Fetch the RGB value for Shadows Colour
`int` `getTextAndLinesColourRGB()` Fetch the RGB value for Text And Lines Colour
`int` `getTitleTextColourRGB()` Fetch the RGB value for Title Text Colour
`static int` `joinRGB(byte[] rgb)` Convert from split R, G, B values to an integer RGB value
`static int` `joinRGB(byte r, byte g, byte b)` Convert from split R, G, B values to an integer RGB value
`void` `setAccentAndFollowingHyperlinkColourRGB(int rgb)` Set the RGB value for Accent And Following Hyperlink Colour
`void` `setAccentAndHyperlinkColourRGB(int rgb)` Set the RGB value for Accent And Hyperlink Colour
`void` `setAccentColourRGB(int rgb)` Set the RGB value for Accent Colour
`void` `setBackgroundColourRGB(int rgb)` Set the RGB value for Background Colour
`void` `setFillsColourRGB(int rgb)` Set the RGB value for Fills Colour
`void` `setShadowsColourRGB(int rgb)` Set the RGB value for Shadows Colour
`void` `setTextAndLinesColourRGB(int rgb)` Set the RGB value for Text And Lines Colour
`void` `setTitleTextColourRGB(int rgb)` Set the RGB value for Title Text Colour
`static byte[]` `splitRGB(int rgb)` Convert from an integer RGB value to individual R, G, B 0-255 values
`void` `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

Methods inherited from class org.apache.poi.hslf.record.RecordAtom
`getChildRecords, isAnAtom`

Methods inherited from class org.apache.poi.hslf.record.Record
`buildRecordAtOffset, createRecordForType, findChildRecords, writeLittleEndian, writeLittleEndian`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColorSchemeAtom

    protected ColorSchemeAtom(byte[] source,
                              int start,
                              int len)

  For the Colour Scheme (ColorSchem) Atom

### ColorSchemeAtom

    public ColorSchemeAtom()

  Create a new ColorSchemeAtom, to go with a new Slide

Method Detail

### getBackgroundColourRGB

    public int getBackgroundColourRGB()

  Fetch the RGB value for Background Colour

### setBackgroundColourRGB

    public void setBackgroundColourRGB(int rgb)

  Set the RGB value for Background Colour

### getTextAndLinesColourRGB

    public int getTextAndLinesColourRGB()

  Fetch the RGB value for Text And Lines Colour

### setTextAndLinesColourRGB

    public void setTextAndLinesColourRGB(int rgb)

  Set the RGB value for Text And Lines Colour

### getShadowsColourRGB

    public int getShadowsColourRGB()

  Fetch the RGB value for Shadows Colour

### setShadowsColourRGB

    public void setShadowsColourRGB(int rgb)

  Set the RGB value for Shadows Colour

### getTitleTextColourRGB

    public int getTitleTextColourRGB()

  Fetch the RGB value for Title Text Colour

### setTitleTextColourRGB

    public void setTitleTextColourRGB(int rgb)

  Set the RGB value for Title Text Colour

### getFillsColourRGB

    public int getFillsColourRGB()

  Fetch the RGB value for Fills Colour

### setFillsColourRGB

    public void setFillsColourRGB(int rgb)

  Set the RGB value for Fills Colour

### getAccentColourRGB

    public int getAccentColourRGB()

  Fetch the RGB value for Accent Colour

### setAccentColourRGB

    public void setAccentColourRGB(int rgb)

  Set the RGB value for Accent Colour

### getAccentAndHyperlinkColourRGB

    public int getAccentAndHyperlinkColourRGB()

  Fetch the RGB value for Accent And Hyperlink Colour

### setAccentAndHyperlinkColourRGB

    public void setAccentAndHyperlinkColourRGB(int rgb)

  Set the RGB value for Accent And Hyperlink Colour

### getAccentAndFollowingHyperlinkColourRGB

    public int getAccentAndFollowingHyperlinkColourRGB()

  Fetch the RGB value for Accent And Following Hyperlink Colour

### setAccentAndFollowingHyperlinkColourRGB

    public void setAccentAndFollowingHyperlinkColourRGB(int rgb)

  Set the RGB value for Accent And Following Hyperlink Colour

### getRecordType

    public long getRecordType()

  We are of type 3999

  Specified by:
    `getRecordType` in class `Record`

### splitRGB

    public static byte[] splitRGB(int rgb)

  Convert from an integer RGB value to individual R, G, B 0-255 values

### joinRGB

    public static int joinRGB(byte r,
                              byte g,
                              byte b)

  Convert from split R, G, B values to an integer RGB value

### joinRGB

    public static int joinRGB(byte[] rgb)

  Convert from split R, G, B values to an integer RGB value

### writeOut

    public void writeOut(java.io.OutputStream out)
                  throws java.io.IOException

  Write the contents of the record back, so it can be written to disk

  Specified by:
    `writeOut` in class `Record`
  Throws:
    `java.io.IOException`

### getColor

    public int getColor(int idx)

  Returns color by its index

  Parameters:
    `idx` - 0-based color index
  Returns:
    color by its index

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.